import {ChatUserStatus} from '../interfaces';

// The user is considered deactivated if their status is either Deactivated or Deleted
export const isChatUserDeactivated = (status?: ChatUserStatus) => {
  if (status) {
    return (
      status === ChatUserStatus.Deactivated || status === ChatUserStatus.Deleted
    );
  }
  return false;
};
